Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Collocated_Object Class Reference

`#include <Collocated_Object.h>`

Inheritance diagram for TAO_Collocated_Object

[legend]
Collaboration diagram for TAO_Collocated_Object:

[legend]
List of all members.

## Public Methods
| TAO_Collocated_Object (TAO_Stub *p = 0, CORBA::Boolean collocated = 0, TAO_ServantBase *servant = 0)
virtual | ~TAO_Collocated_Object (void)
virtual CORBA::Boolean | _is_a (const CORBA::Char *logical_type_id, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
virtual CORBA::Boolean | _is_equivalent (CORBA_Object_ptr other_obj, CORBA::Environment &) throw ()
virtual CORBA::Boolean | _non_existent (CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
virtual void* | _tao_QueryInterface (ptr_arith_t type)
## Static Public Methods
TAO_Collocated_Object* | _narrow (CORBA::Object_ptr object, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
## Private Methods
| TAO_Collocated_Object (const TAO_Collocated_Object &)
TAO_Collocated_Object& | operator= (const TAO_Collocated_Object &)

## Constructor & Destructor Documentation

ACE_INLINE TAO_Collocated_Object::TAO_Collocated_Object ( | TAO_Stub * p = 0,
| CORBA::Boolean collocated = 0,
| TAO_ServantBase * servant = 0 )

const char *get_rcsid_tao _ TAO_Collocated_Object::~TAO_Collocated_Object ( | void )`[inline, virtual]`

TAO_Collocated_Object::TAO_Collocated_Object ( | const TAO_Collocated_Object & )`[private]`

## Member Function Documentation

CORBA::Boolean TAO_Collocated_Object::_is_a ( | const CORBA::Char * logical_type_id,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

CORBA::Boolean TAO_Collocated_Object::_is_equivalent ( | CORBA_Object_ptr other_obj,
| CORBA::Environment & ACE_TRY_ENV ) throw ()`[virtual]`

TAO_Collocated_Object* TAO_Collocated_Object::_narrow ( | CORBA::Object_ptr object,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

CORBA::Boolean TAO_Collocated_Object::_non_existent ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| Reimplemented from CORBA_Object.

void * TAO_Collocated_Object::_tao_QueryInterface ( | ptr_arith_t query_type )`[virtual]`

| Reimplemented from CORBA_Object.

TAO_Collocated_Object& TAO_Collocated_Object::operator= ( | const TAO_Collocated_Object & )`[private]`

The documentation for this class was generated from the following files:

- Collocated_Object.h
- Collocated_Object.cpp
- Collocated_Object.i